---
# This role setup deploys keys of users of the server
- name: Deploy public key for user
  become: yes
  become_user: "{{ item.username }}" # keys are created using the specified user
  copy:
    content: "{{ item.public_key }}"
    dest: "~/.ssh/id_{{ item.type|default('ed25519') }}.pub"
    mode: u=rw,g=r,o=r
  with_items: "{{ users_ssh_keys }}"
  no_log: true

- name: Deploy private key for user
  become: yes
  become_user: "{{ item.username }}" # keys are created using the specified user
  copy:
    content: "{{ item.private_key }}"
    dest: "~/.ssh/id_{{ item.type|default('ed25519') }}"
    mode: u=rw,g=,o=
  with_items: "{{ users_ssh_keys }}"
  no_log: true
...